probe::socket.close
Prev | Chapter 14. Socket Tapset | Next

## Name

probe::socket.close — Close a socket

## Synopsis

    socket.close

## Values

`name`

  Name of this probe

`type`

  Socket type value

`family`

  Protocol family value

`state`

  Socket state value

`protocol`

  Protocol value

`flags`

  Socket flags value

## Context

The requester (user process or kernel)

## Description

Fires at the beginning of closing a socket.

Prev | Up | Next
probe::socket.aio_write.return | Home | probe::socket.close.return